#+
#   ARES/HADES/BORG Package -- python/aquila_borg/dask.py
#   Copyright (C) 2014-2025 The Aquila-Consortium developers <aquila-consortium@services.cnrs.fr>
#   Authors:

#
#   Contributions from:
#      Guilhem Lavaux <guilhem.lavaux@iap.fr> (2021-2022)
#
#+

try:
    import dask
    import distributed

    from .dask_support import *
except ImportError:
    from . import console

    console().print_warning("DASK not installed. Compatibility layer not activated.")
